// project created on 2/20/2006 at 10:07 AM
using System;
using Gtk;
using Glade;

namespace LessonPlan
{
public class GladeApp
{
	public static FindOS OS = new FindOS();

	public static void Main (string[] args)
	{
		new GladeApp (args);
	}

	public GladeApp (string[] args) 
	{
		Application.Init ();
		SetIcons();
		
		Glade.XML gxml = new Glade.XML (null, "lessonplanglade.glade", "window_Main", null);
		FormMain newForm = new FormMain(gxml);
		gxml.Autoconnect (newForm);
				
		Application.Run ();
	}
	
	public void SetIcons()
	{
	//Icons
			Gtk.IconFactory myIconFactory = new Gtk.IconFactory();
			Gtk.IconSet LessonSet = new Gtk.IconSet(OS.PicStream("BlueLP.ico"));
			myIconFactory.Add("LP", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("WeeklyPlan2.tif"));
			myIconFactory.Add("Weekly", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("LessonPlan.tif"));
			myIconFactory.Add("Lesson", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("dooropen.ico"));
			myIconFactory.Add("DirOpen", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("doorclosed.ico"));
			myIconFactory.Add("DirClose", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("bullseye.tif"));
			myIconFactory.Add("Bullseye", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("gavel.tif"));
			myIconFactory.Add("Gavel", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("KeyQuestions.tif"));
			myIconFactory.Add("KeyQuestions", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("methane.tif"));
			myIconFactory.Add("Methane", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("next.tif"));
			myIconFactory.Add("Next", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("previous.tif"));
			myIconFactory.Add("Previous", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("replace.tif"));
			myIconFactory.Add("Replace", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("apple1.tif"));
			myIconFactory.Add("Apple", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("C.tif"));
			myIconFactory.Add("C", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("D.tif"));
			myIconFactory.Add("D", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("frown.tif"));
			myIconFactory.Add("Frown", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("sidesmile.tif"));
			myIconFactory.Add("Sidesmile", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("othermouth.tif"));
			myIconFactory.Add("Othermouth", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("star.tif"));
			myIconFactory.Add("Star", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("spade.tif"));
			myIconFactory.Add("Spade", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("shadedstar.tif"));
			myIconFactory.Add("ShadedStar", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("graystar.tif"));
			myIconFactory.Add("GrayStar", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("superscript.tif"));
			myIconFactory.Add("Superscript", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("subscript.tif"));
			myIconFactory.Add("Subscript", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("bold.tif"));
			myIconFactory.Add("CustomBold", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("italic.tif"));
			myIconFactory.Add("CustomItalic", LessonSet);
			LessonSet = new Gtk.IconSet(OS.PicStream("underline.tif"));
			myIconFactory.Add("CustomUnderline", LessonSet);
			myIconFactory.AddDefault();
	}

}
}
